net-libs / nDPI

Open Source Deep Packet Inspection Software Toolkit

Official package sites : https://www.ntop.org/ ·

v9999 :: 0 :: gentoo (Masked by set 4142)

Modified
License
GPL-3
USE flags
static-libs

v3.4 :: 0/3 :: gentoo (Masked by set 4142)

Modified
License
LGPL-3+
Keywords
~amd64 ~x86

v3.2-r2 :: 0/3 :: gentoo (Masked by set 4142)

Modified
License
GPL-3
Keywords
~amd64 ~x86
USE flags
static-libs

v3.2-r1 :: 0/3 :: gentoo (Masked by set 4142)

Modified
License
GPL-3
Keywords
~amd64 ~x86
USE flags
static-libs

v3.0-r2 :: 0/3 :: gentoo (Masked by set 4142)

Modified
License
GPL-3
Keywords
~amd64 ~x86
USE flags
static-libs

v3.0-r1 :: 0/3 :: gentoo (Masked by set 4142)

Modified
License
GPL-3
Keywords
~amd64 ~x86
USE flags
static-libs

General

static-libs
Build static versions of dynamic libraries as well

dev-libs / json-c : A JSON implementation in C

net-libs / libpcap : A system-independent library for user-level network packet capture

dev-libs / json-c : A JSON implementation in C

net-libs / libpcap : A system-independent library for user-level network packet capture

net-analyzer / ntopng : Network traffic analyzer with web interface

net-analyzer / pmacct : A network tool to gather IP traffic information

625730
net-libs/nDPI-2.0 : FAIL: do.sh
719084
net-libs/nDPI: Multiple vulnerabilities (CVE-2020-{11939,11940,15471,15472,15473,15474,C15475,15476})
725044
net-libs/nDPI calls ar directly

4142
Sam James
Serious security vulnerabilities, including remote code execution. Upstream have not yet made a stable release in response to numerous CVEs. Applying patches is not a workable solution for now because of the fragility of reverse dependencies. Indefinitely masking until we have a solution for this. bug #719084 Furthermore, ntopng ebuilds depending directly on dev-lang/lua{,jit} must be migrated to lua eclasses before unmasking (bug #752777).
  • net-analyzer/ntopng
  • net-analyzer/pmacct
  • net-libs/nDPI
Repository mirror & CI · gentoo
Merge updates from master
Sam James · gentoo
net-libs/nDPI: fail when libpcap can't be found
Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>
John Helmert III · gentoo
net-libs/nDPI: drop 2.x (QA fixes)
Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: John Helmert III <jchelmert3@posteo.net> Closes: https://github.com/gentoo/gentoo/pull/18128 Signed-off-by: Sam James <sam@gentoo.org>
John Helmert III · gentoo
net-libs/nDPI: bump to 3.4
Bug: https://bugs.gentoo.org/719084 Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: John Helmert III <jchelmert3@posteo.net> Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Jeroen Roovers · gentoo
net-libs/nDPI: Add fix for oob in kerberos dissector
Package-Manager: Portage-3.0.0, Repoman-2.3.23 Bug: https://bugs.gentoo.org/719084 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Jeroen Roovers · gentoo
net-libs/nDPI: Old
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Jeroen Roovers · gentoo
net-libs/nDPI: Apply 3.2-stable patches
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Jeroen Roovers · gentoo
net-libs/nDPI: Add live ebuild
Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Jeroen Roovers · gentoo
net-libs/nDPI: Version 3.2
Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
David Seifert · gentoo
net-libs/nDPI: [QA] inherit ltprune.eclass directly
Package-Manager: Portage-2.3.88, Repoman-2.3.20 Signed-off-by: David Seifert <soap@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Jeroen Roovers · gentoo
net-libs/nDPI: Hack around PACKAGE* autoheader definitions
autogen.sh patches the autogenerated configure script to hide the PACKAGE* variables from ndpi_config.h, and so should we. Package-Manager: Portage-2.3.85, Repoman-2.3.20 Closes: https://bugs.gentoo.org/show_bug.cgi?id=704074 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Jeroen Roovers · gentoo
net-libs/nDPI: Set sub-SLOT for >3.0
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Jeroen Roovers · gentoo
net-libs/nDPI: Version 3.0
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Slawomir Lis · gentoo
net-libs/nDPI: version bump to 2.8
Package-Manager: Portage-2.3.71, Repoman-2.3.17 Signed-off-by: Slawek Lis <slis@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michael Mair-Keimberger · gentoo
net-libs/nDPI: use HTTPS.
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/11636 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Slawomir Lis · gentoo
net-libs/nDPI: fixes problem with libcache.h
This particular file is later used in building net-analyzer/ntopng, but it's placed in a third-party folder in nDPI package. This commit changes this library location. Package-Manager: Portage-2.3.20, Repoman-2.3.6
Slawomir Lis · gentoo
net-libs/nDPI: version bump to 2.2
Package-Manager: Portage-2.3.20, Repoman-2.3.6
Thomas Deutschmann · gentoo
net-libs/nDPI: Add subslot operator on dev-libs/json-c atom
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Jeroen Roovers · gentoo
net-libs/nDPI: Add USE=static-libs.
Package-Manager: Portage-2.3.12, Repoman-2.3.3
Slawomir Lis · gentoo
net-libs/nDPI: new package
Package-Manager: Portage-2.3.6, Repoman-2.3.2